import { PegasusUtility } from "./pegasus-utility.js";

export const defaultItemImg = {
  specialisation: "systems/fvtt-pegasus-rpg/images/icons/icon_spec.webp",
  perk: "systems/fvtt-pegasus-rpg/images/icons/icon_perk.webp",
  ability: "systems/fvtt-pegasus-rpg/images/icons/icon_raceability.webp",
  armor: "systems/fvtt-pegasus-rpg/images/icons/icon_armour.webp",
  weapon: "systems/fvtt-pegasus-rpg/images/icons/icon_weapon.webp",
  equipment: "systems/fvtt-pegasus-rpg/images/icons/icon_equipment.webp",
  effect: "systems/fvtt-pegasus-rpg/images/icons/icon_effect.webp",
  race: "systems/fvtt-pegasus-rpg/images/icons/icon_race.webp",
  power: "systems/fvtt-pegasus-rpg/images/icons/icon_power.webp",
  armour: "systems/fvtt-pegasus-rpg/images/icons/icon_armour.webp",
  equipment: "systems/fvtt-pegasus-rpg/images/icons/icon_equipment.webp",
  weapon: "systems/fvtt-pegasus-rpg/images/icons/icon_meleeweapon.webp",
  shield: "systems/fvtt-pegasus-rpg/images/icons/icon_shield.webp",
  money: "systems/fvtt-pegasus-rpg/images/icons/icon_money.webp",
  vice: "systems/fvtt-pegasus-rpg/images/icons/icon_vice.webp",
  virtue: "systems/fvtt-pegasus-rpg/images/icons/icon_virtue.webp",
  vehiclehull:"systems/fvtt-pegasus-rpg/images/icons/icon_vehicle_hull.webp",
  powercoremodule:"systems/fvtt-pegasus-rpg/images/icons/icon_vehicle_powercore.webp",
  mobilitymodule: "systems/fvtt-pegasus-rpg/images/icons/icon_vehicle_mobilitymodule.webp",
  combatmodule: "systems/fvtt-pegasus-rpg/images/icons/icon_vehicle_combatmodule.webp",
  propulsionmodule: "systems/fvtt-pegasus-rpg/images/icons/icon_vehicle_propulsionmodule.webp",
  vehiclemodule: "systems/fvtt-pegasus-rpg/images/icons/icon_vehicle_module.webp",
  vehicleweaponmodule: "systems/fvtt-pegasus-rpg/images/icons/icon_vehicle_weaponmodule.webp"
}

/**
 * Extend the basic ItemSheet with some very simple modifications
 * @extends {ItemSheet}
 */
export class PegasusItem extends Item {

  constructor(data, context) {
    if (!data.img) {
      data.img = defaultItemImg[data.type];
    }
    super(data, context);
  }

}
